% Programmation séquentielle en C
% Introduction générale
% 16 septembre 2020

# La hotline

Nom                    Mél                               Bureau
--------------------   ------------------------------    --------------------
Laurent Gantel         laurent.gantel@hesge.ch           I309
Manuel Rauscher        manuel.rauscher@hesge.ch          I305
Paul Albuquerque       paul.albuquerque@hesge.ch         B410
Orestis Malaspinas     orestis.malaspinas@hesge.ch       A401
--------------------   ------------------------------    --------------------

Utilisez le libre service (l'horaire sera fixé prochainement).

Salon de discussion [Matrix](https://matrix.to/#/!tuZtXjUSPbnRfBsFXv:matrix.org?via=matrix.org), installez [element.io](https://element.io).

![](figs/matrix.png){#fig:memory width=20%}

# Cyberlearn

Tout le contenu de ce qu'on raconte se trouve sur cyberlearn:

- Algorithmes et structures de données
  - <https://cyberlearn.hes-so.ch/course/view.php?id=13941>
  - Clé d'inscription: algo_2019_20

- Programmation Sequentielle en C
  - <https://cyberlearn.hes-so.ch/course/view.php?id=12399>
  - Clé d'inscription: PS_2018

# Organisation du cours (1/3)

## But: Illustration des concepts vus au cours d'algorithmique

- Salle A502 pour la "théorie" (présentation langage et TPs).
- Salles A406-A432-A433 pour la "pratique".

## Le bâton

- Présence en cours **obligatoire** (13h-16h45 tous les mercredis).

## La carotte

- Rare cours d'informatique de première.
- Travaux pratiques amusants et stimulants.

# Organisation du cours (2/3)

- Travaux pratiques à faire en C.
- Les projets doivent compiler sur les machines de l'école $\Rightarrow$ utilisation de Linux **obligatoire**.
- Vous aurez à utiliser `git`. Une instance gitlab se trouve sur <https://githepia.hesge.ch/>
- **Utilisez uniquement Linux** (dual boot ou machine virtuelle sur vos portables).
- Les ordinateurs de l'école c'est bien aussi.

# Organisation du cours (3/3)

- Les cours "théoriques" seront streamés sur <https://twitch.tv/omhepia>.
- Ils seront également uploadés sur <https://tube.switch.ch/channels/f13ca21e>.
- Il y a un certain nombre de ressources se trouvant sur <https://malaspinas.academy>.
- Mon bureau est toujours ouvert (téléphoner quand on est devant ou taper assez fort sur la porte).
- N'hésitez pas à utiliser le groupe *Matrix*.

# Évaluations

## Un projet

- Un travail pratique "conséquent" noté.
- Une présentation orale.

### Bonus

- Si vous *validez* vos TPs vous pouvez obtenir +1 bonne sur la note du projet.

## Un examen sur machine

- Seul devant votre ordinateur:
  - Avec à disposition le manuel du C.
  - Et un cheat-sheet de make.

# Sondage: expérience de programmation

## [Sondage: expérience de programmation](https://cyberlearn.hes-so.ch/mod/evoting/view.php?id=1035242)

**Installez un lecteur de QR code s'il-vous-plaît.**

# Questions?

- N'hésitez pas à poser des *questions*, nous sommes là pour ça![^1]
- N'hésitez pas à faire des *retours*: *négatifs* ou *positifs*.

[^1]: Chaque étudiant·e·s a un quota de 5 questions par semestre.


